{% extends "dataprov/index.html" %}
{% load static %}

	{% block result %}
		<div class="jumbotron jumbotron-fluid text-center" style="background:none;">
		<h2 class="display-6" style="font-family: 'Poppins', sans-serif;">DATA STATISTIK COVID-19 PROVINSI : {{prov}}</h2>

		<div class="container d-flex flex-row flex-wrap my-2">
			<div class="row my-5">
					<div class="col-md-4 my-3">
					<canvas id="myChart" width="100" height="80"></canvas>
					<script type="text/javascript">
						$(document).ready(function(){
							var ctx = document.getElementById('myChart').getContext('2d');
							var myChart = new Chart(ctx, {
							    type: 'bar',
							    data: {
							        labels: ['Sembuh', 'Dirawat', 'Meninggal'],
							        datasets: [{
							            label: 'Data Statistik Covid-19', 
							            data: ['{{jumlah_sembuh}}', '{{jumlah_dirawat}}', '{{jumlah_meninggal}}'],
							            backgroundColor: [
							                'rgb(61, 207, 91,0.2)',
							                'rgba(251, 161, 18, 0.2)',
							                'rgba(225, 56, 65, 0.2)',
							            ],
							            borderColor: [
							                'rgba(64, 202, 92, 1)',
							                'rgba(253, 161, 15, 1)',
							                'rgba(255, 99, 132, 1)',
							            ],
							            borderWidth: 1
							        }]
							    },
							    options: {
							        scales: {
							            yAxes: [{
							                ticks: {
							                    beginAtZero: true
							                }
							            }]
							        }
							    }
							});
						});
					</script>
				</div>
				<div class="col-md-4 my-3">
					<div class="container mb-2" style="font-family: 'Poppins', sans-serif; font-size : 17px;">
						<p>Total Kasus Terkonfirmasi :</p>
						<p>{{jumlah_kasus}}</p>
					</div>
					<div class="container-fluid d-flex flex-row flex-wrap" style="font-family: 'Poppins', sans-serif; color: #FFFFFF;"> 
						<div class="col-md-4 border my-2 mx-auto py-2 px-1" style="background: #3DCF5B; border-radius : 15px;">
							<p>Pasien Sembuh</p>
							<p>{{jumlah_sembuh}}</p>
						</div>
						<div class="col-md-4 border my-2 mx-auto py-2 px-1" style="background: #FBA112; border-radius : 15px">
							<p>Pasien Dirawat</p>
							<p>{{jumlah_dirawat}}</p>
						</div>
						<div class="col-md-4 border my-2 mx-auto py-2 px-1" style="background: #E13841; border-radius : 15px">
							<p>Pasien Meninggal</p>
							<p>{{jumlah_meninggal}}</p>
						</div>
						<div class="col-md-4 border my-2 mx-auto py-2 px-1" style="background: #3DCF5B; border-radius : 15px">
							<p>Penambahan Sembuh</p>
							<p>{{penambahan_sembuh}}</p>
						</div>
						<div class="col-md-4 border my-2 mx-auto py-2 px-1" style="background: #FBA112; border-radius : 15px">
							<p>Penambahan Positif</p>
							<p>{{penambahan_positif}}</p>
						</div>
						<div class="col-md-4 border my-2 mx-auto py-2 px-1" style="background: #E13841; border-radius : 15px">
							<p>Penambahan Meninggal</p>
							<p>{{penambahan_meninggal}}</p>
						</div>
					</div>
				

				</div>

				<div class="col-md-4 my-3">
					<canvas id="myChart2" width="100" height="80"></canvas>
					<script type="text/javascript">
						$(document).ready(function(){
							var ctx = document.getElementById('myChart2').getContext('2d');
							var myChart = new Chart(ctx, {
							    type: 'pie',
							    data: {
							        labels: ['Penambahan Sembuh', 'Penambahan Positif', 'Penambahan Meninggal'],
							        datasets: [{
							            label: 'Data Statistik Penambahan Covid-19', 
							            data: ['{{penambahan_sembuh}}', '{{penambahan_positif}}', '{{penambahan_meninggal}}'],
							            backgroundColor: [
							                'rgb(61, 207, 91,0.2)',
							                'rgba(251, 161, 18, 0.2)',
							                'rgba(225, 56, 65, 0.2)',
							            ],
							            borderColor: [
							                'rgba(64, 202, 92, 1)',
							                'rgba(253, 161, 15, 1)',
							                'rgba(255, 99, 132, 1)',
							            ],
							            borderWidth: 1
							        }]
							    },
							    options: {
							        scales: {
							            yAxes: [{
							                ticks: {
							                    beginAtZero: true
							                }
							            }]
							        }
							    }
							});
						});
					</script>
				
				</div>
			</div>

			
		</div>
	</div>
	{% endblock result %}
	

